Loading...
Searching...
No Matches
gx_gui::CpBaseCaption Class Reference

`#include <gx_main_interface.h>`

Inheritance diagram for gx_gui::CpBaseCaption:

## Public Member Functions

| CpBaseCaption ()
| ~CpBaseCaption ()
void | init (Gxw::Regler &regler, bool show_value)
void | set_effect_label (const char *label)
void | set_rack_label (const char *label)
void | set_rack_label_inverse (const char *label)

## Protected Attributes

CpBase | base
Gtk::Label | m_label

## Detailed Description

Definition at line 77 of file gx_main_interface.h.

## Constructor & Destructor Documentation

## CpBaseCaption()

gx_gui::CpBaseCaption::CpBaseCaption | ( |  | ) |

Referenced by gx_gui::UiReglerWithCaption< T >::UiReglerWithCaption().

## ~CpBaseCaption()

gx_gui::CpBaseCaption::~CpBaseCaption | ( |  | ) |

## Member Function Documentation

## init()

void gx_gui::CpBaseCaption::init | ( | Gxw::Regler & | regler,
|  | bool | show_value )

Referenced by gx_gui::UiReglerWithCaption< T >::UiReglerWithCaption().

## set_effect_label()

void gx_gui::CpBaseCaption::set_effect_label | ( | const char * | label | ) |

## set_rack_label()

void gx_gui::CpBaseCaption::set_rack_label | ( | const char * | label | ) |

## set_rack_label_inverse()

void gx_gui::CpBaseCaption::set_rack_label_inverse | ( | const char * | label | ) |

## Member Data Documentation

## base

CpBase gx_gui::CpBaseCaption::base

protected

Definition at line 79 of file gx_main_interface.h.

## m_label

Gtk::Label gx_gui::CpBaseCaption::m_label

protected

Definition at line 80 of file gx_main_interface.h.

The documentation for this class was generated from the following file:

- src/headers/gx_main_interface.h